Public Class GeneralForm

    Public Sub OnTelnetCommand(ByVal sCommand As String, ByRef objParamList As ArrayList)

        If String.Compare(sCommand, "GetHoldMusic", True) = 0 And objParamList.Count = 1 Then
            EditPlayWaveHold.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetDialToneMusic", True) = 0 And objParamList.Count = 1 Then
            EditPlayWaveDialTone.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetStealthMusic", True) = 0 And objParamList.Count = 1 Then
            EditPlayWaveStealthListener.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetCOMM", True) = 0 And objParamList.Count = 3 Then
            EditListenIP.Text = objParamList.Item(0)
            EditListenPort.Text = objParamList.Item(1)
            EditDomainRealm.Text = objParamList.Item(2)
            Exit Sub
        End If

        If String.Compare(sCommand, "SetCOMM", True) = 0 And objParamList.Count = 3 Then
            Exit Sub
        End If

        If String.Compare(sCommand, "StatusServerSIP", True) = 0 And objParamList.Count = 1 Then
            Dim sStatus As String = objParamList.Item(0)
            LabelServerStatus.Text = sStatus.ToUpper()
            Exit Sub
        End If

        If String.Compare(sCommand, "GetCallCount", True) = 0 And objParamList.Count = 1 Then
            LabelTotalCalls.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetUserCount", True) = 0 And objParamList.Count = 1 Then
            LabelTotalUsers.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetUsageCPU", True) = 0 And objParamList.Count = 1 Then
            LabelUsageCPU.Text = objParamList.Item(0)
            Exit Sub
        End If

        If String.Compare(sCommand, "GetAvailMEM", True) = 0 And objParamList.Count = 1 Then
            LabelUsageMEM.Text = objParamList.Item(0)
            Exit Sub
        End If
	

    End Sub

    Private Sub GeneralForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        MainForm.m_objMainForm.SendCommand("GetHoldMusic", Nothing)
        MainForm.m_objMainForm.SendCommand("GetDialToneMusic", Nothing)
        MainForm.m_objMainForm.SendCommand("GetStealthMusic", Nothing)

        MainForm.m_objMainForm.SendCommand("GetCOMM", Nothing)
        MainForm.m_objMainForm.SendCommand("StatusServerSIP", Nothing)

        MainForm.m_objMainForm.SendCommand("GetCallCount", Nothing)
        MainForm.m_objMainForm.SendCommand("GetUserCount", Nothing)
        MainForm.m_objMainForm.SendCommand("GetUsageCPU", Nothing)
        MainForm.m_objMainForm.SendCommand("GetAvailMEM", Nothing)

        TimerGeneral.Enabled = True

    End Sub

    Private Sub BtnStartServerSIP_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnStartServerSIP.Click

        Dim objParamList As ArrayList = New ArrayList

        objParamList.Add(EditPlayWaveHold.Text)
        MainForm.m_objMainForm.SendCommand("SetHoldMusic", objParamList)

        objParamList.Clear()
        objParamList.Add(EditPlayWaveDialTone.Text)
        MainForm.m_objMainForm.SendCommand("SetDialToneMusic", objParamList)

        objParamList.Clear()
        objParamList.Add(EditPlayWaveStealthListener.Text)
        MainForm.m_objMainForm.SendCommand("SetStealthMusic", objParamList)

        objParamList.Clear()
        objParamList.Add(EditListenIP.Text)
        objParamList.Add(EditListenPort.Text)
        objParamList.Add(EditDomainRealm.Text)

        MainForm.m_objMainForm.SendCommand("SetCOMM", objParamList)
        MainForm.m_objMainForm.SendCommand("ServerStart", Nothing)

    End Sub

    Private Sub BtnStopServerSIP_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnStopServerSIP.Click
        MainForm.m_objMainForm.SendCommand("ServerStop", Nothing)
    End Sub

    
    Private Sub TimerGeneral_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TimerGeneral.Tick
        MainForm.m_objMainForm.SendCommand("GetCallCount", Nothing)
        MainForm.m_objMainForm.SendCommand("GetUserCount", Nothing)
        MainForm.m_objMainForm.SendCommand("GetUsageCPU", Nothing)
        MainForm.m_objMainForm.SendCommand("GetAvailMEM", Nothing)
    End Sub
End Class