using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VaxTeleConfigSIP
{
    public partial class StatusLogForm : Form
    {
        public StatusLogForm()
        {
            InitializeComponent();
        }

        public void OnTelnetCommand(string sCommand, ref ArrayList objParamList)
        {
            if (String.Compare(sCommand, "StatusLog", true) == 0 && objParamList.Count == 1)
            {
                ListStatus.Items.Add(objParamList[0]);

                string sCaption = "Status log (" + Convert.ToString(ListStatus.Items.Count) + ")";
                MainForm.m_objMainForm.SetPageTitle(sCaption, 6);

                return;
            }
        }

        private void BtnClear_Click(object sender, EventArgs e)
        {
            ListStatus.Items.Clear();
            MainForm.m_objMainForm.SetPageTitle("Status log (0)", 6);
        }
    }
}