using System;
using System.Text;

class cLineRegisterEvent
{
    public void  OnLineRegisterTrying(int nLineId)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);

        if(objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Trying to register Line Name = " + objLineData.m_sLineName);
    }

    public void  OnLineRegisterFail(int nLineId, int nStatusCode, string sReasonPhrase)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);
        
        if (objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Fail to register Line Name = " + objLineData.m_sLineName);
    }

    public void  OnLineRegisterSuccess(int nLineId)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);

        if (objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Success to register Line Name = " + objLineData.m_sLineName);
    }

    public void  OnLineUnRegisterTrying(int nLineId)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);
        
        if (objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Trying to unregister Line Name = " + objLineData.m_sLineName);
    }

    public void  OnLineUnRegisterFail(int nLineId, int nStatusCode, string sReasonPhrase)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);
        
        if (objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Fail to unregister Line Name = " + objLineData.m_sLineName);
    }

    public void  OnLineUnRegisterSuccess(int nLineId)
    {
        cLineData objLineData = cServerSIP.m_objServerSIP.m_objLineList.FindLine(nLineId);
        
        if (objLineData != null)
            cServerSIP.m_objServerSIP.LogStatus("Success to unregister Line Name = " + objLineData.m_sLineName);
    }
}

